
module("luci.controller.btcpayserver", package.seeall)

function index()
	entry({"admin", "apps"}, firstchild(), _("Apps") , 45).dependent = false
	if not nixio.fs.access("/etc/config/btcpayserver") then
		return
	end

	local page = entry({"admin", "apps", "btcpayserver"}, cbi("btcpayserver"), _("BTCPay Server"))
	page.order = 10
	page.dependent = true
	page.acl_depends = { "luci-app-btcpayserver" }
	entry({"admin","apps","btcpayserver","status"},call("act_status")).leaf=true
end
